Subject: Re: [PATCH v5 0/3] align the behavior when opening "packed-refs"

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2025 09:31:09 -0700

shejialuo <[email-masked]> writes:

> As discussed in [1], we need to use mmap mechanism to open large
> "packed_refs" file to save the memory usage. This patch mainly does the
> following things:
>
> 1: Fix an issue that we would report an error when the "packed-refs"
> file is empty, which does not align with the runtime behavior.
> 2-4: Extract some logic from the existing code and then use these
> created helper functions to let fsck code to use mmap necessarily
>
> [1] https://lore.kernel.org/git/[email-masked]
>
> Really thank Peff and Patrick to suggest me to do above change.
> ...
> Change in v5:
>
> 1. Improve the commit message in the first patch to be more clear:
>     1. Talk about the current behavior, what error we would report if
>        "packed-refs" is empty.
>     2. To align with the runtime behavior, we should skip checking the
>        content of "packed-refs".
>     3. Why do we need to report to the user when the "packed-refs" is
>        empty
> 2. Fix grammar issue in the last patch.

The thread has gone quiet on this topic.  Is everybody happy with
this version?

Thanks.